#
# Conditional build:
%bcond_without	python2	# CPython 2.x module
%bcond_without	python3	# CPython 3.x module
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tets

%define		module	chardet
Summary:	Character encoding auto-detection in Python 2
Summary(pl.UTF-8):	Automatyczne wykrywanie kodowania znaków w Pythonie 2
Name:		python-%{module}
Version:	3.0.4
Release:	5
License:	LGPL v2.1+
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/chardet/
Source0:	https://files.pythonhosted.org/packages/source/c/chardet/%{module}-%{version}.tar.gz
# Source0-md5:	7dd1ba7f9c77e32351b0a0cfacf4055c
URL:		https://pypi.org/project/chardet/
%if %{with python2}
BuildRequires:	python >= 1:2.6
BuildRequires:	python-devel >= 1:2.6
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-hypothesis
BuildRequires:	python-pytest
%endif
%endif
%if %{with python3}
BuildRequires:	python3 >= 1:3.3
BuildRequires:	python3-devel >= 1:3.3
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-hypothesis
BuildRequires:	python3-pytest
%endif
%endif
%if %{with doc}
BuildRequires:	python3-sphinx_rtd_theme
BuildRequires:	sphinx-pdg-3
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-modules >= 1:2.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Character encoding auto-detection in Python. As smart as your browser.

%description -l pl.UTF-8
Automatyczne wykrywanie kodowania znaków w Pythonie. Tak zmyślne jak w
przeglądarce.

%package -n python3-chardet
Summary:	Character encoding auto-detection in Python 3
Summary(pl.UTF-8):	Automatyczne wykrywanie kodowania znaków w Pythonie 3
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.3

%description -n python3-chardet
Character encoding auto-detection in Python. As smart as your browser.

%description -n python3-chardet -l pl.UTF-8
Automatyczne wykrywanie kodowania znaków w Pythonie. Tak zmyślne jak w
przeglądarce.

%package apidocs
Summary:	API documentation for Python chardet module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona chardet
Group:		Documentation

%description apidocs
API documentation for Python chardet module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona chardet.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build

%if %{with tests}
%{__python} -m pytest test.py
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
%{__python3} -m pytest test.py
%endif
%endif

%if %{with doc}
PYTHONPATH=$(pwd) \
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python3}
%py3_install
%endif

%if %{with python2}
%py_install

%py_postclean
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README.rst
%attr(755,root,root) %{_bindir}/chardetect
%{py_sitescriptdir}/chardet
%{py_sitescriptdir}/chardet-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-chardet
%defattr(644,root,root,755)
%doc README.rst
%{py3_sitescriptdir}/chardet
%{py3_sitescriptdir}/chardet-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_modules,_static,api,*.html,*.js}
%endif
%changelog
* Sat Feb 27 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-chardet.git;a=log;h=master

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 0ed8fec
- release 5 (by relup.sh)

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 907e456
- release 4 (by relup.sh)

* Sun Dec 29 2019 Jakub Bogusz <qboosh@pld-linux.org> 9206d4a
- pytest-runner is deprecated, call pytest directly

* Tue Oct 29 2019 Jakub Bogusz <qboosh@pld-linux.org> 12478bb
- doc BR: python3-sphinx_rtd_theme

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 7f05efa
- rebuild with python 3.8
- release 3 (by relup.sh)

* Thu Jul 19 2018 Jakub Bogusz <qboosh@pld-linux.org> 6dd1601
- added Sphinx documentation and unit tests

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 715e803
- python 3.7 rebuild
- release 2 (by relup.sh)

* Wed Aug 02 2017 Jacek Konieczny <j.konieczny@eggsoft.pl> a323fe4
- Version: 3.0.4

* Sun Mar 05 2017 Jakub Bogusz <qboosh@pld-linux.org> 0692707
- added python3 package, release 3

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 86ba792
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 43361c1
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 89b49f7
- automatic change: use py_build/py_install macros

* Sun May 17 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> e096522
- up to 2.3.0

* Mon May 27 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> da08e7b
- up to 2.1.1

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 6ca9bcb
- release 6

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> ee41a04
- release 5

* Thu Jun 04 2009 Mateusz Korniak <matkor@pld-linux.org> ddd2957
- Release 4. Reduced BR. Works with python 2.4.

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> a637123
- release 3

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 0f64b38
- release 2

* Sun Aug 31 2008 Karol Krenski <charles@pld-linux.org> 3da7673
- up to 1.0.1

